### Method

# Gio DBusInterfaceInfo lookup_signal

since: 2.26

#### Declaration

    GDBusSignalInfo*
    g_dbus_interface_info_lookup_signal (
      GDBusInterfaceInfo* info,
      const gchar* name
    )

#### Description

Looks up information about a signal.

The cost of this function is O(n) in number of signals unless `g_dbus_interface_info_cache_build()` has been used on `info`.

Available since: 2.26

#### Parameters

`name`

  Type: `const gchar*`

  A D-Bus signal name (typically in CamelCase).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusSignalInfo`

A `GDBusSignalInfo` or `NULL` if not found. Do not free, it is owned by `info`.

The returned data is owned by the instance.
The return value can be `NULL`.